Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Param Class Reference

`#include <CEC_TypedEventChannel.h>`

Collaboration diagram for TAO_CEC_Param:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Param (void)
| Constructor.
| ~TAO_CEC_Param (void)
| Destructor.
## Private Attributes
CORBA::String_var | name_
CORBA::TypeCode_var | type_
CORBA::Flags | direction_
## Friends
class | TAO_CEC_TypedEventChannel
| Only the TypedEventChannel can read the private fields.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_Param::TAO_CEC_Param | ( | void |  | ) |

| Constructor.

ACE_INLINE TAO_CEC_Param::~TAO_CEC_Param | ( | void |  | ) |

| Destructor.

## Friends And Related Function Documentation

friend class TAO_CEC_TypedEventChannel`[friend]`

| Only the TypedEventChannel can read the private fields.

## Member Data Documentation

CORBA::Flags TAO_CEC_Param::direction_`[private]`

CORBA::String_var TAO_CEC_Param::name_`[private]`

CORBA::TypeCode_var TAO_CEC_Param::type_`[private]`

The documentation for this class was generated from the following files:

- CEC_TypedEventChannel.h
- CEC_TypedEventChannel.i